if (!google.maps) {
	alert('There was an error with the map. Please try reloading the page.');
}

// http://google-maps-utility-library-v3.googlecode.com/svn/tags/infobox/1.1.9/examples/infobox-basic.html
function initialize() {
	var secheltLoc = new google.maps.LatLng(49.47216, -123.76307);

	var myMapOptions = {
		zoom: 15
		,center: secheltLoc
		,mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	var theMap = new google.maps.Map(document.getElementById("map_canvas"), myMapOptions);

	var marker = new google.maps.Marker({
		map: theMap,
		draggable: true,
		position: new google.maps.LatLng(49.47216, -123.76307),
		visible: true
	});

	var boxText = document.createElement("div");
	boxText.style.cssText = "background: #d80b36; padding: 0; margin: 0;";
	boxText.innerHTML = '<div class="contact-marker"><ul class="footer-contact"><li><address><i class="icon-map-marker"></i> Universe St. 23/06 Venus, Milkyway Galaxy</address></li><li><i class="icon-envelope"></i> <a href="mailto:support@boxin.com">support@boxin.com</a></li><li><i class="icon-phone-sign"></i> <a href="tel:01234567899">0123 456 78 99</a></li></ul></div>';

	var myOptions = {
		content: boxText
		,disableAutoPan: false
		,maxWidth: 0
		,pixelOffset: new google.maps.Size(-150, 0)
		,zIndex: null
		,boxStyle: {
			background: "url('img/icons/marker-top.png') no-repeat 50% 0"
			,width: "300px"
			,height: "130px"
			,padding: "20px 0 0 0"
		}
		,closeBoxMargin: "0px"
		,closeBoxURL: "http://www.google.com/intl/en_us/mapfiles/close.gif"
		,infoBoxClearance: new google.maps.Size(1, 1)
		,isHidden: false
		,enableEventPropagation: false
	};

	google.maps.event.addListener(marker, "click", function (e) {
		ib.open(theMap, this);
	});

	google.maps.event.addListenerOnce(theMap, 'idle', function(){
		console.log('Gmaps fully loaded');
		$('#map_canvas').addClass('loaded animated fadeIn');
	});

	var ib = new InfoBox(myOptions);
	ib.open(theMap, marker);
}

google.maps.event.addDomListener(window, 'load', initialize);