jQuery(document).ready(function($) {

	// Dropdown menu hover
	$('ul.nav li.dropdown').hover(function() {
		$(this).find('.dropdown-menu').stop(true, true).delay(200).fadeIn();
	}, function() {
		$(this).find('.dropdown-menu').stop(true, true).delay(200).fadeOut();
	});

	// Tweets
	$('#tweets').tweetable({
		username: 'theme_avenue',
		limit: 3,
		html5: true,
		rotate: true
	});

	// Navigation
	$('.main ul.nav > li > a.dropdown-toggle').append('<i class="icon-caret-down"></i>');

	// Work Slider
	window.workSlider = Swipe(document.getElementById('work-slider'));
	$('.swipe-next').click(function (e){
		e.preventDefault();
		workSlider.next();
	});
	$('.swipe-prev').click(function (e){
		e.preventDefault();
		workSlider.prev();
	});

	// Testimonial Slider	
	window.testimonialSlider = Swipe(document.getElementById('testimonial-slider'), {
		speed: 400,
		auto: 5000,
		continuous: true
	});

	// Team Slider
	teamSlider = $('.bxslider').bxSlider({
		minSlides: 4,
		maxSlides: 4,
		moveSlides: 1,
		slideWidth: 270,
		slideMargin: 30,
		controls: false,
		pager: false
	});
	$('.bxslider-prev').click(function (e){
		e.preventDefault();
		teamSlider.goToPrevSlide();
	});
	$('.bxslider-next').click(function (e){
		e.preventDefault();
		teamSlider.goToNextSlide();
	});

	// Work Lightbox
	$('.trigger-lightbox').on('click', openLightbox);
	function openLightbox (e) {
		e.preventDefault();
		var popupUrl = $(this).attr('href');
		var popupTitle = $(this).attr('title');
		var popupImg = $(this).attr('data-mfp-src');
		var popupDesc = $(this).attr('data-desc');
		if (typeof popupImg === "undefined") {
			var popupImg = 'img/image-unavailable.gif';
		}
		if (typeof popupDesc === "undefined") {
			var popupDesc = 'No description available';
		}

		$.magnificPopup.open({
			items: {
				src: $('<div id="popup" class="white-popup animated bounceInDown"><div class="row-fluid"><div class="span8"><a href="'+popupUrl+'"><img src="'+popupImg+'" alt=""></a></div><div class="span4"><h2>'+popupTitle+'</h2><p>'+popupDesc+'</p></div><a href="'+popupUrl+'" class="button button-primary">View more details</a></div></div>'),
				type: 'inline'
			}
		});
	}

	// Creating the navigation for mobile
	$('<header id="header-mobile" class="visible-mobile hidden-tablet hidden-desktop"><img src="img/logo-trans.png" alt="Boxin"><ul class="hidden"></ul></header>').insertAfter('#header');
	$('#header .main li').clone().prependTo('#header-mobile ul');
	$('#header-mobile ul').tinyNav({
		active: 'active'
	});

	// Accordion
	$('.accordion:not(.toggle-only)').on('show', function (e) {
		$(e.target).prev('.accordion-heading').find('.accordion-toggle').addClass('active');
	});
	$('.accordion:not(.toggle-only)').on('hide', function (e) {
		$(this).find('.accordion-toggle').not($(e.target)).removeClass('active');
	});

	// Toggle
	$('.toggle-only').on('click', '.accordion-toggle:not(.active)', function (e){
		$(this).addClass('active');
	});
	$('.toggle-only').on('click', '.accordion-toggle.active', function (e){
		$(this).removeClass('active');
	});

	// Blockquote
	var bqHeight = $('.blockquote').outerHeight();
	var bqHalf = bqHeight / 2 +'px';
	$('.blockquote').append('<div class="bq-triangle"></div>')
	$('.blockquote .bq-triangle').css({
		'border-top': ''+bqHalf+' solid transparent',
		'border-bottom': ''+bqHalf+' solid transparent'
	});

	// Lists
	$('.list-arrow li').prepend('<i class="icon-caret-right"></i> ')

	// CTA Box
	$('.cta-box').each(function (e){
		$(this).find('.button').clone().removeClass('hidden-phone').appendTo($(this));
		$(this).find('.button').clone().toggleClass('button-middle').appendTo($(this));
		$(this).find('.button:not(.button-middle)').css('visibility','hidden');
	});

	// Alerts
	$('.alert').each(function (e){
		var alertIcon = $(this).data('icon');
		$(this).append('<div class="alert-icon"><i class="'+alertIcon+'"></i></div>');
	});

	// Responsive Stuff
	$('.four-o-four h1').fitText();
	$('.maintenance h1').fitText(1.2, { minFontSize: '16px', maxFontSize: '36px' })
	$('.maintenance h1 strong').fitText(1.2, { minFontSize: '20px', maxFontSize: '60px' })

	// Maintenance Page
	$('.maintenance-countdown').countdown({
		date: "July 31, 2013 15:03:26",
		render: function(data) {
			$(this.el).html("<div>" + this.leadingZeros(data.days, 2) + " <span>days</span></div><div>" + this.leadingZeros(data.hours, 2) + " <span>hrs</span></div><div>" + this.leadingZeros(data.min, 2) + " <span>min</span></div><div>" + this.leadingZeros(data.sec, 2) + " <span>sec</span></div>");
		}
	});

	$('.has-mask').append('<div class="mask"><div class="mask-inner"></div></div>');
	$('.has-mask').each(function (e){
		var transitionIn = $(this).data('transitionin');
		var transitionOut = $(this).data('transitionout');

		$(this).hover(
			function () {
				$('.mask', this).removeClass(transitionOut);
				$('.mask', this).addClass('animated '+transitionIn);
			},
			function () {
				$('.mask', this).removeClass(transitionIn);
				$('.mask', this).addClass(transitionOut);
			}
		);
	})

	// Animations
	$('.box-icon').addClass('animated bounceIn');

	// Slider Revolution
	$('.fullwidthbanner').revolution({
		delay:9000,
		startwidth:1170,
		startheight:710,
		// onHoverStop:"on",
		onHoverStop:"off",
		thumbWidth:100,
		thumbHeight:50,
		thumbAmount:3,
		hideThumbs:0,
		navigationType:"bullet",
		navigationArrows:"solo",
		navigationStyle:"round-boxin",
		navigationHAlign:"center",
		navigationVAlign:"bottom",
		// navigationHOffset:30,
		navigationVOffset:-12,
		soloArrowLeftHalign:"left",
		soloArrowLeftValign:"center",
		soloArrowLeftHOffset:20,
		soloArrowLeftVOffset:0,
		soloArrowRightHalign:"right",
		soloArrowRightValign:"center",
		soloArrowRightHOffset:20,
		soloArrowRightVOffset:0,
		touchenabled:"on",
		stopAtSlide:-1,
		stopAfterLoops:-1,
		hideCaptionAtLimit:0,
		hideAllCaptionAtLilmit:0,
		hideSliderAtLimit:0,
		fullWidth:"on",
		shadow:0
	});


	if(jQuery().mixitup) {
		$('#work-col4').mixitup({
			targetSelector: ".span3"
		});
		$('#work-col3').mixitup({
			targetSelector: ".span4"
		});
		$('#work-col2').mixitup({
			targetSelector: ".span6"
		});
	}

	if(jQuery().jscroll) {
		$('.infinite-scroll').jscroll({
			loadingHtml: '<img src="img/loading.gif" alt="Loading" class="centered"/>',
			autoTrigger: false,
			padding: 20,
			nextSelector: 'a.jscroll-next:last'
		});
	}

});